* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

:root {
  --color-bg: #272431;
  --color-white: #fff;
  --color-primary: #ec5242;
  --color-primary-variant: #3c3f46;
  --color-light: #f5f5f5;
  --color-box: #f7f7f7;
  --color-border: #ededed;
  --transition: all 400ms ease;
  --container-width-lg: 75%;
  --container-width-md: 86%;
  --container-width-sm: 90%;
}

body {
  font-family: "Lato", sans-serif;
  background-color: var(--color-box);
}

.background {
  background-image: linear-gradient(rgba(255, 255, 255, 0.758), rgba(255, 255, 255, 0.917)), url("../img/ST_estrellas.png");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: auto;
  background-color: var(--color-box);
}

.menu-toggle {
  font-size: 40px;
  font-weight: 900;
  margin-left: 6%;
  margin-bottom: 3%;
}

.nav-mobile {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--color-primary);
  border: 5px solid var(--color-primary-variant);
  border-width: 10px 5px;
  z-index: 10;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.close-icon {
  align-self: flex-end;
  font-weight: bold;
  font-size: 24px;
  color: var(--color-primary-variant);
  cursor: pointer;
}

.menu-list {
  list-style-type: none;
  margin-top: 30px;
  padding: 0;
}

.menu-list li {
  margin-bottom: 15px;
}

.menu-list a {
  color: var(--color-primary-variant);
  font-weight: bold;
  font-size: 22px;
  text-decoration: none;
}

.nav-desktop {
  display: none;
}

.main-section {
  padding: 5%;
  background-image: linear-gradient(rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.9)), url("../img/ST_estrellas.png");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: auto;
}

.main-subtitle {
  color: var(--color-primary);
  font-size: 20px;
  padding: 0 2%;
  text-align: center;
  margin-bottom: 9px;
}

.main-section h1 {
  font-size: 35px;
  color: var(--color-primary);
  font-weight: 800;
  padding: 0 1%;
  text-align: center;
}

.main-content {
  padding: 6% 3%;
  border: 3px solid var(--color-border);
  font-size: 12px;
  background-color: var(--color-white);
  margin: 5% 0;
  height: 122px;
  line-height: 1.9;
  text-align: center;
}

.about-me-title p {
  text-align: center;
  font-weight: 400;
  font-size: 10px;
}

.about-past-content p {
  text-align: center;
  font-weight: 400;
  font-size: 10px;
  margin-bottom: 20px;
  color: var(--color-primary-variant);
}

.main-content p:first-child {
  display: block;
}

.main-content p:last-child {
  display: none;
}

.main-date {
  color: var(--color-bg);
  font-weight: 400;
  font-size: 10px;
  padding: 0 2%;
  text-align: center;
  line-height: 15px;
  margin-bottom: 3px;
}

.main-direction {
  color: var(--color-bg);
  font-weight: 700;
  font-size: 10px;
  padding: 0 2%;
  text-align: center;
  position: relative;
  text-decoration: underline;
}

.about-me-title h4 {
  padding-top: 5%;
  text-align: center;
  letter-spacing: 0.1px;
}

.line {
  margin: 2% 45%;
  border: 0.5px solid var(--color-primary);
}

.logo-container-about-me {
  border: 3px solid var(--color-border);
  background-color: var(--color-white);
  margin: 7% 5%;
  height: 122px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo-container-about-me a {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.nav-content-desktop li button {
  border: 2px solid var(--color-primary);
  color: var(--color-bg);
  font-size: 9px;
  padding: 5px 10px;
}

.nav-content-desktop ul li:hover a {
  color: var(--color-primary);
}

.logo-container-about-me img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  margin: 4%;
}

.about-me-title p:first-child {
  display: block;
}

.about-me-title p:last-child {
  display: none;
}

.about-past {
  background-color: var(--color-border);
  margin-top: 20px;
}

.about-past-content h4 {
  padding-top: 5%;
  text-align: center;
  letter-spacing: 0.1px;
  color: var(--color-primary-variant);
}

.about-past-content-class {
  margin: 0;
  padding: 0 20% 0 20%;
}

.about-past-section-image {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.about-past-images-box-container {
  position: relative;
  margin-bottom: 2rem;
  width: 100%;
  max-width: 600px;
  height: auto;
}

.target-img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.target-text {
  position: absolute;
  color: white;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: grid;
  place-items: center;
  text-align: center;
  background-color: rgba(248, 0, 0, 0.4);
  font-size: 20px;
}

.target-text span {
  display: block;
  font-size: 40px;
}

.partner {
  background-color: var(--color-primary-variant);
  padding: 0 10%;
  display: block;
}

.title-partners {
  text-align: center;
}

.title-partners h4 {
  color: var(--color-white);
  padding-top: 7%;
}

.logos-partners-container {
  margin-top: 7%;
}

.logos-partners {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.logos-partners li {
  flex-basis: calc(33.33% - 20px);
  margin: 10px;
}

.logo-footer img {
  width: 80%;
}

.logos-partners li img {
  width: 100%;
  height: auto;
  filter: grayscale(100%);
}

footer {
  display: flex;
  align-items: center;
}

.logo-footer {
  padding: 0 10%;
}

.text-footer {
  font-size: 10px;
}

@media (min-width: 769px) {
  .menu-toggle {
    display: none;
  }

  .nav-desktop {
    display: block;
  }

  .nav-social-desktop {
    background-color: var(--color-bg);
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 20px;
    padding: 0 10% 0 10%;
  }

  .nav-social-desktop ul {
    display: flex;
    flex-direction: row;
    list-style-type: none;
  }

  .nav-social-desktop li {
    margin: 2px;
    color: var(--color-white);
    padding-bottom: 6px;
    margin-right: 10px;
  }

  .nav-content-desktop li {
    margin: 2px;
    color: var(--color-white);
    padding-bottom: 6px;
    margin-right: 40px;
  }

  .logos-partners li {
    flex-basis: calc(20% - 20px);
    margin: 10px;
  }

  .about-past-mages-box-container li {
    width: 100%;
  }

  .nav-social-desktop li:last-child {
    margin-right: 80px;
  }

  .program-link-desktop a {
    text-decoration: underline;
    color: inherit;
  }

  .nav-social-desktop li a {
    color: var(--color-white);
    font-size: 8px;
  }

  .program-image img {
    width: 50px;
    height: 50px;
  }

  .logo-footer img {
    width: 130%;
    height: auto;
  }

  .logo-container-about-me img {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    margin: 4%;
  }

  .nav-social-desktop li img {
    width: 8px;
    height: 8px;
  }

  .nav-content-desktop {
    background-color: var(--color-white);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 45px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    padding: 0 10%;
    margin-bottom: 3px;
  }

  .logo-link {
    display: flex;
  }

  .logo-img {
    width: 50px;
    height: auto;
    margin-right: 20px;
  }

  .nav-content-desktop ul {
    display: flex;
    flex-direction: row;
    list-style-type: none;
  }

  .nav-content-desktop li:last-child {
    margin-right: 80px;
  }

  .nav-content-desktop li a {
    color: var(--color-bg);
    font-size: 9px;
  }

  .main-section {
    padding: 5% 10%;
  }

  .main-section h1 {
    font-size: 40px;
    color: var(--color-primary);
    font-weight: 800;
    text-align: center;
    padding: 0 18%;
  }

  .main-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6% 3%;
    border: 3px solid var(--color-border);
    font-size: 12px;
    background-color: var(--color-white);
    margin: 5% 0;
    height: 122px;
    line-height: 1.9;
    text-align: center;
  }

  .main-content p:first-child {
    display: none;
  }

  .main-content p:last-child {
    display: block;
  }

  .main-date {
    color: var(--color-bg);
    font-weight: 400;
    font-size: 10px;
    padding: 0 2%;
    text-align: center;
    line-height: 15px;
    margin-bottom: 3px;
  }

  .about-me-title h4 {
    padding-top: 3%;
    text-align: center;
    letter-spacing: 0.1px;
  }

  .line {
    margin: 1% 45%;
    border: 0.5px solid var(--color-primary);
  }

  .logo-container-about-me {
    margin: 3% 25%;
  }

  .about-me-title p:first-child {
    display: none;
  }

  .about-me-title p:last-child {
    display: block;
    padding: 0 30%;
  }

  .about-past-content-class {
    margin: 0;
    padding: 0 20%;
  }

  .about-past-section-image {
    display: flex;
    flex-direction: row-reverse;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .about-past-images-box-container {
    position: relative;
    width: 48%;
    margin-bottom: 2rem;
  }

  .image-wrapper {
    position: relative;
    width: 100%;
    padding-bottom: 75%;
    overflow: hidden;
  }

  .target-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .target-text {
    position: absolute;
    color: white;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: rgba(248, 0, 0, 0.4);
    font-size: 20px;
  }

  .target-text span {
    display: block;
    font-size: 40px;
  }

  .partner {
    display: none;
  }

  footer {
    background-color: var(--color-primary-variant);
    color: var(--color-white);
  }

  .footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2% 10% 2% 10%;
  }

  .logo-footer {
    padding: 0 15%;
  }

  .text-footer {
    font-size: 15px;
  }
}
